Summary: Stub rpm to set up LONCAPA dependencies
Name: LONCAPA-prerequisites
Version: 1
Release: 35.fc40
License: GPL
Group: Applications/Internet
URL: www.loncapa.org
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
Requires: httpd gd perl make postfix wget tar chkconfig perl-Locale-Maketext perl-GD perl-GD-Barcode perl-GDGraph perl-GD-Graph3d perl-GDTextUtil ImageMagick ImageMagick-perl mod_perl mariadb mariadb-server perl-DBD-MySQL perl-Error perl-DBI perl-Algorithm-Diff perl-Authen-Krb5 perl-Authen-PAM perl-Crypt-DES perl-Crypt-IDEA perl-Crypt-SSLeay perl-Event perl-HTML-Parser_loncapa perl-HTML-Tree perl-IO-Socket-SSL perl-IO-stringy perl-MailTools perl-Math-Cephes perl-Math-Random perl-Net-PH perl-Net-SSLeay perl-OLE-Storage_Lite perl-Parse-RecDescent perl-Pod-POM perl-Pod-Html perl-PostScript-Simple perl-Safe-Hole perl-Spreadsheet-WriteExcel perl-String-Similarity perl-String-CRC32 perl-Text-Aspell perl-Text-Query perl-TimeDate aspell perl-IO-Socket-SSL perl-MIME-Lite perl-MIME-Types zip unzip perl-libwww-perl ghostscript chrony at gnuplot which perl-Cache-Memcached memcached s-nail perl-DateManip perl-Expect perl-IO-Tty maxima maxima-runtime-sbcl perl-DateTime perl-Authen-Captcha perl-XML-DOM perl-File-MMagic perl-RTF-HTMLConverter perl-Image-Size perl-Image-Info texlive texlive-latex texlive-dvips texlive-multirow texlive-dejavu texlive-acrotex texlive-pict2e texlive-soul perl-CAM-PDF R-core R-phpSerialize perl-Tie-IxHash-Easy R-alr3 R-car R-Hmisc R-leaps R-lmtest R-qAnalyst R-quadprog R-SuppDists R-zoo perl perl-XML-LibXML a2ps perl-CGI perl-Tree perl-TermReadKey groff system-config-language perl-Locale-Codes perl-Captcha-reCAPTCHA aspell-en aspell-de aspell-es aspell-fr aspell-he aspell-pt aspell-tr perl-Digest-SHA1 ca-certificates perl-LWP-Protocol-https texlive-wrapfig texlive-xtab perl-aliased perl-JSON-DWIW perl-enum perl-Try-Tiny perl-Crypt-Eksblowfish perl-Net-OAuth perl-Digest-SHA perl-File-Slurp texlive-actuarialangle perl-Switch perl-Math-Calculus-Expression_loncapa perl-Archive-Zip perl-Number-FormatEng perl-Sys-Hostname-FQDN perl-File-ReadBackwards perl-Text-Unidecode perl-Net-CIDR mod_ssl perl-Crypt-OpenSSL-X509 perl-LWP-UserAgent-DNS-Hosts perl-DateTime-Format-x509 perl-UUID-Tiny perl-Short-URL perl-Math-Round perl-Crypt-PKCS10 perl-Crypt-OpenSSL-DSA perl-Crypt-OpenSSL-RSA perl-Crypt-LE perl-Crypt-X509-CRL_loncapa perl-Crypt-CBC perl-Text-Tabs+Wrap R-mdatools R-FactoMineR
# Requirements for compilation of CAPA
Requires: bison flex flex-devel swig
# Next require is just for installation of pwauth in the install script.
Requires: gcc patch
Requires: gnuplot >= 4.4
Requires: perl-XML-LibXML >= 2.0122
Requires: perl-XML-SAX >= 0.96
Requires: perl-IO-Socket-SSL >= 1.79
Requires: perl-Net-SSLeay >= 1.50
Conflicts: mod_throttle mod_bandwidth
# Notes on requirements: Net::SMTP/perl-libnet is provided in perl-5.8.3
%define debug_package %{nil}

%description
LONCAPA-prerequisites configures a system to run LON-CAPA.

%prep
%setup -q

%build

#%install
#rm -rf $RPM_BUILD_ROOT
#make PREFIX=$RPM_BUILD_ROOT%{_prefix}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README


%changelog
* Sun Jun 23 2024 Stuart Raeburn <raeburn at lon-capa.org> (1-35)
- Add R-mdatools R-FactoMineR

* Sat Apr 27 2024 Stuart Raeburn <raeburn at lon-capa.org> (1-34)
- Add perl-Crypt-CBC perl-Text-Tabs+Wrap

* Sat Apr 27 2024 Stuart Raeburn <raeburn at lon-capa.org> (1-33)
- Add perl-Crypt-X509-CRL_loncapa

* Sat Apr 27 2024 Stuart Raeburn <raeburn at lon-capa.org> (1-32)
- Add perl-Crypt-LE

* Sat Apr 27 2024 Stuart Raeburn <raeburn at lon-capa.org> (1-31)
- Add perl-Crypt-OpenSSL-DSA perl-Crypt-OpenSSL-RSA

* Sat Apr 27 2024 Stuart Raeburn <raeburn at lon-capa.org> (1-30)
- Add perl-Crypt-PKCS10

* Sat Apr 27 2024 Stuart Raeburn <raeburn at lon-capa.org> (1-29)
- Add perl-UUID-Tiny perl-Short-URL perl-Math-Round

* Sat Apr 27 2024 Stuart Raeburn <raeburn at lon-capa.org> (1-28)
- Add perl-DateTime-Format-x509

* Thu Apr 25 2024 Stuart Raeburn <raeburn at lon-capa.org> (1-27)
- Add mod_ssl perl-Crypt-OpenSSL-X509 perl-LWP-UserAgent-DNS-Hosts
- Add version dependencies for perl-IO-Socket-SSL, perl-Net-SSLeay

* Thu Apr 25 2024 Stuart Raeburn <raeburn at lon-capa.org> (1-26)
- Initial build.
